package com.jy.business.corporation.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jy.business.corporation.model.dto.CorporationShopDto;
import com.jy.business.corporation.model.dto.CorporationShopSelectDto;
import com.jy.business.corporation.model.vo.CorporationShopVo;

import java.util.List;

/**
 * <p>
 * 商铺信息 服务类
 * </p>
 *
 * @author 
 * @since 2025-08-11
 */
public interface CorporationShopService {

    /**
     * 商铺信息分页
     */
    Page<CorporationShopVo> getPage(CorporationShopSelectDto dto);

    /**
     * 商铺信息明细
     */
    CorporationShopVo getDetail(Long id);

    /**
     * 商铺信息新增
     *
     * @return
     */
    Long add(CorporationShopDto dto);

    /**
     * 商铺信息编辑
     */
    void edit(CorporationShopDto dto);

    /**
     * 商铺信息删除
     */
    void delete(List<Long> idList);

}
